---
updatedAt: 2026-07-17T07:00:30.000Z
agentTools:
  projectIndex: https://developer.searoutes.com/llms.txt
---

# Get vessel ETA by IMO number

Retrieve information from AIS and return general information about the vessel, its current speed (in km/h), its current draft (in m), its last position, its destination and an ETA predicted by our algorithms (Unix timestamp in ms).


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "2.10.0",
    "title": "Vessel",
    "description": "# Introduction\nVessel\n",
    "termsOfService": "https://searoutes.com/terms-of-service/",
    "contact": {
      "email": "support@searoutes.com",
      "url": "https://searoutes.com"
    },
    "x-logo": {
      "url": "/img/searoutes-logo-vertical-blue.svg",
      "altText": "Searoutes logo"
    }
  },
  "servers": [
    {
      "url": "https://api.searoutes.com"
    }
  ],
  "paths": {
    "/vessel/v2/{imo}/eta": {
      "get": {
        "operationId": "getVesselEta",
        "tags": [
          "Estimated Time of Arrival"
        ],
        "summary": "Get vessel ETA by IMO number",
        "description": "Retrieve information from AIS and return general information about the vessel, its current speed (in km/h), its current draft (in m), its last position, its destination and an ETA predicted by our algorithms (Unix timestamp in ms).\n",
        "parameters": [
          {
            "name": "imo",
            "description": "The IMO number of the vessel.",
            "in": "path",
            "required": true,
            "schema": {
              "default": 9776418,
              "example": 9776418,
              "type": "integer"
            }
          }
        ],
        "x-code-samples": [
          {
            "lang": "curl",
            "source": "curl -X GET \\\nhttps://api.searoutes.com/vessel/v2/9776418/eta \\\n-H 'x-api-key: <your-api-key-here>'\n"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "example": {
                  "info": {
                    "imo": "9299628,",
                    "name": "CMA CGM OTELLO",
                    "length": 334,
                    "width": 42
                  },
                  "position": {
                    "type": "Feature",
                    "properties": {
                      "timestamp": 1570090275000,
                      "speed": 32.7804,
                      "draft": 13.2,
                      "cog": 150.8,
                      "heading": 152
                    },
                    "geometry": {
                      "type": "Point",
                      "coordinates": [
                        -72.61788,
                        40.508336666666665
                      ]
                    }
                  },
                  "to": {
                    "etaFromAIS": 1570104010748,
                    "etaFromPredictedRoute": 1570111202000,
                    "distance": 139959.16911608665,
                    "location": {
                      "type": "Feature",
                      "properties": {
                        "name": "New York",
                        "locode": "USNYC"
                      },
                      "geometry": {
                        "type": "Point",
                        "coordinates": [
                          -74.0896444102304,
                          40.6637868432737
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "example": {
                  "timestamp": 1625230850501,
                  "status": 400,
                  "error": "Bad Request",
                  "errorCodes": [
                    "3140"
                  ],
                  "messages": [
                    "IMO number must be a 7-digits number"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "example": {
                  "timestamp": 1625231068973,
                  "status": 404,
                  "error": "Not Found",
                  "errorCodes": [
                    "1032"
                  ],
                  "messages": [
                    "Vessel with imo '1000002' not found."
                  ]
                }
              }
            }
          },
          "503": {
            "description": "AIS service unavailable.",
            "content": {
              "application/json": {
                "example": {
                  "timestamp": 1626167146557,
                  "status": 503,
                  "error": "Service Unavailable",
                  "errorCodes": [
                    "5020"
                  ],
                  "messages": [
                    "AIS service unavailable."
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Use your `x-api-key` to authenticate with our APIs. Note that your key is tied with a usage plan. You are therefore rate limited depending on your subscription. If you wish you increase your request calls, please [get in touch with us](/contact/)."
      }
    }
  }
}
```